Name: foobillard
Version: 2.4
Release: alt1

Group: Games/Boards
Summary: A game of playing billard
License: GPL
URL: http://foobillard.sunsite.dk/

Source0: %name-%{version}.tar.gz
Source1: %name
Source3: %name.16.xpm
Source4: %name.32.xpm
Source5: %name.48.xpm

Patch0: foobillard-makefile.patch
Patch1: foobillard-datadir.patch

# Automatically added by buildreq on Thu Dec 19 2002
#BuildRequires: XFree86-devel-static XFree86-libs freetype2-devel gcc-c++ libGLU-devel libglut-devel libpng-devel libstdc++-devel xpm zlib-devel
BuildRequires: XFree86-devel XFree86-libs freetype2-devel
BuildRequires: gcc2.96-c++ libGLU-devel libglut-devel libpng-devel
BuildRequires: libstdc++2.96-devel xpm zlib-devel

%description
FooBillard is an attempt to create a free OpenGL-billard for Linux. 
The game is still under development but the main physics is implemented. 
If you are a billard-pro and you're missing some physics, please tell me. 

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1


%build
# Fix CFLAGS
%define _optlevel 3
#%%{expand:%%add_optflags %%optflags_kernel %%optflags_notraceback %(freetype-config --cflags) -DDATADIR=\\\"%%_gamesdatadir/%%name/\\\"}
%{expand:%%add_optflags %%optflags_kernel %%optflags_notraceback %(freetype-config --cflags) -DNO_NV_BUMPREF}

CC=gcc-2.96 GXX=g++2.96 \
%configure \
    --bindir=%_gamesbindir \
    --datadir=%_gamesdatadir \
    --disable-bumpref \
    --enable-SDL

%make_build CC=gcc-2.96 GXX=g++2.96 CFLAGS="%optflags" LDFLAGS="-L/usr/X11R6/lib -lglut -lfreetype"

%install
%makeinstall bindir=%buildroot/%_gamesbindir datadir=%buildroot/%_gamesdatadir

#mkdir -p $RPM_BUILD_ROOT%_gamesbindir
#install -m755 %name $RPM_BUILD_ROOT%_gamesbindir/%name.real
#install -m755 %SOURCE1 $RPM_BUILD_ROOT%_gamesbindir/
#mkdir -p $RPM_BUILD_ROOT%_gamesdatadir/%name
#install -m644 *.png $RPM_BUILD_ROOT%_gamesdatadir/%name
#install -m644 *.TTF $RPM_BUILD_ROOT%_gamesdatadir/%name

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%name" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="%name" \
		  longtitle="Free OpenGL-billard."
EOF
mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE5 %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS INSTALL NEWS README ChangeLog TODO README.FONTS foobillardrc.example
%_gamesbindir/*
%_gamesdatadir/%name
%_menudir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 2.4-alt1
- new version

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt2
- rebuild with gcc2.96

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt1
- new version

* Thu Dec 05 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0-alt1
- new version

* Wed Oct 23 2002 Sergey V Turchin <zerg@altlinux.ru> 1.8-alt1
- new version
- build with gcc3.2

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 1.6-alt1
- new version

* Wed May 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1.5-alt1
- new version
- thanx Vyacheslav Dikonov <slava@altlinux.ru>
  for spec translation

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1.4-alt1
- new version
- build with SDL

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1
- new version 

* Wed Mar 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9-alt1
- new version 

* Mon Mar 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.8-alt1
- First build for Sisyphus
